Module java.base
Package java.io

# Class IOError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.io.IOError

All Implemented Interfaces:
  `Serializable`

    public class IOError
    extends Error

Thrown when a serious I/O error has occurred.

Since:
  1.6
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`IOError​(Throwable cause)` | Constructs a new instance of IOError with the specified cause.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IOError

public IOError​(Throwable cause)
Constructs a new instance of IOError with the specified cause. The IOError is created with the detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of cause).

Parameters:
  `cause` - The cause of this error, or `null` if the cause is not known